from api_validations.validations_request import (
    DepartmentsPydantic,
    PatchRecord,
    ListOptions,
)

from api_events.events.abstract_class import MethodToEvent


class ModelEvents(MethodToEvent):

    @classmethod
    def model_list(cls, list_options: ListOptions, token_dict):
        return

    @classmethod
    def model_create(cls, data: DepartmentsPydantic, token_dict):
        return

    @classmethod
    def model_update(cls, company_uu_id: str, data: DepartmentsPydantic, token_dict):
        return

    @classmethod
    def model_patch(cls, company_uu_id: str, data: PatchRecord, token_dict):
        return
